#160 Problem releasing quarantined email

v3.10.x
closed
Stevan Bajic
daemon (84)
5
2013-09-10
2013-01-11
Anonymous
No

Hi, I have a strange problem releasing email from quarantine. It seems that dspam "reinject" the released mail with wrong rcpt-to field, so mta discard it.

Ex:

Jan 10 18:10:14 dspam postfix/smtpd[13786]: A771E3D9: client=localhost[127.0.0.1]
Jan 10 18:10:14 dspam postfix/cleanup[13789]: A771E3D9: message-id=<20130110170742.4979A3DD@dspam.previnet.it>
Jan 10 18:10:14 dspam postfix/qmgr[28819]: A771E3D9: from=<>, size=801, nrcpt=1 (queue active)
Jan 10 18:10:14 dspam postfix/pipe[13790]: A771E3D9: to=<`?@previnet.it>, orig_to=<`?>, relay=cattura, delay=0.13, delays=0.12/0/0/0, dsn=2.0.0, status=sent (delivered via cattura service)
Jan 10 18:10:14 dspam postfix/qmgr[28819]: A771E3D9: removed
Jan 10 18:10:14 dspam postfix/smtpd[13786]: disconnect from localhost[127.0.0.1]

I'm using dspam in a relay context, so I have an MTA before, than dspam, than another MTA following. I tried to use both Exchange server and postfix as the final MTA, but the problem is still the same. The strange thing is that all is fine if the email is delivered directly.
I captured (using pipe) the "conversation" from dspam and the last postfix and here the result:

This is from quarantine (piping to dspam)

From QUARANTINE Thu Jan 10 18:07:41 2013
Received: by dspam.previnet.it (Postfix, from userid 0)
id CDCA43DD; Thu, 10 Jan 2013 17:07:41 +0000 (UTC)
Date: Thu, 10 Jan 2013 18:07:41 +0100
To: sistemisti@previnet.it
Subject: prova
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-Id: <20130110170741.CDCA43DD@dspam.previnet.it>
From: root@previnet.it (root)
X-DSPAM-Result: Spam
X-DSPAM-Processed: Thu Jan 10 18:07:41 2013
X-DSPAM-Confidence: 0.6215
X-DSPAM-Probability: 1.0000
X-DSPAM-Signature: 2,50eef55e133377179792178

hi

and this is from dspam:

Return-Path: <MAILER-DAEMON>
Received: from dspam.previnet.it (localhost [127.0.0.1])
by dspam.previnet.it (Postfix) with SMTP id 57A822F3
for <ÐÁ>; Fri, 11 Jan 2013 09:56:52 +0100 (CET)
Received: by dspam.previnet.it (Postfix, from userid 0)
id CDCA43DD; Thu, 10 Jan 2013 17:07:42 +0000 (UTC)
Date: Thu, 10 Jan 2013 18:07:41 +0100
To: sistemisti@previnet.it
Subject: prova
User-Agent: Heirloom mailx 12.4 7/29/08
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-Id: <20130110170741.CDCA43DD@dspam.previnet.it>
From: root@previnet.it (root)
X-DSPAM-Result: Spam
X-DSPAM-Processed: Thu Jan 10 18:07:41 2013
X-DSPAM-Confidence: 0.6215
X-DSPAM-Probability: 1.0000
X-DSPAM-Signature: 2,50eef55e133377179792178
X-DSPAM-Reclassified: Innocent

hi

Is seems that the message exit corrupted from dspam (ex: for <ÐÁ>).

Dspam was compiled with the follow paramaters:

./configure --sysconfdir=/data/dspam --with-dspam-home=/data/dspam --enable-domain-scale --with-storage-driver=mysql_drv --enable-daemon --enable-virtual-users --enable-preferences-extension --enable-debug --enable-clamav --with-mysql-libraries=/usr/lib64/mysql --with-mysql-includes=/usr/include/mysql --with-dspam-home-owner=dspam --with-dspam-home-group=root --with-dspam-owner=dspam --with-dspam-group=root

I will finish by saying that i was using with success dspam version 3.8.0, with a similar configuration.

Thanks

Discussion

  • Stevan Bajic
    Stevan Bajic
    2013-01-11

    • assigned_to: nobody --> sbajic
     

  • Anonymous
    2013-01-11

    • status: open --> closed
     

  • Anonymous
    2013-01-11

    Yessssss! This was the solution. Thank you very much! :-) my congratulations for your fine work. Have a nice day

     
    Last edit: Anonymous 2013-10-21